<div class="row justify-content-center">
  <div class="col col-sm-4">
    <h5>{{'SIGNUP.TITLE' | translate}}</h5>
    <ch-message-alert *ngIf="message?.error !== 'success'" [message]="message"></ch-message-alert>
  </div>
</div>
<div *ngIf="message?.error !== 'success'">
  <div class="row justify-content-center">
    <div class="col col-sm-4">
      <form [formGroup]="signupForm"
            (ngSubmit)="onSignup()"
            novalidate>
        <!-- Email -->
        <div class="form-group"
            [ngClass]="{
              'has-danger': email.invalid && (email.dirty || email.touched),
              'has-success': email.valid && (email.dirty || email.touched)
            }"
        >
            <input id="email"
                  class="form-control"
                  [ngClass]="{
                    'form-control-danger': email.invalid,
                    'form-control-success': email.valid
                  }"
                  type="email"
                  placeholder="Email"
                  formControlName="email">
              <small class="form-control-feedback"
                    *ngIf="(!email.pristine || email.touched) && email.errors">
                    <div *ngIf="email.errors.required">{{'SIGNUP.EMAIL_REQUIRED' | translate}}</div>
                    <div *ngIf="email.errors.noEmail">{{'SIGNUP.EMAIL_NOT_VALID' | translate}}</div>
              </small>
        </div> <!-- end Email -->
        <!-- Password -->
        <div class="form-group"
            [ngClass]="{
              'has-danger': password.invalid && (password.dirty || password.touched),
              'has-success': password.valid && (password.dirty || password.touched)
            }">
          <input id="password"
              class="form-control"
              [ngClass]="{
                'form-control-danger': password.invalid,
                'form-control-success': password.valid
              }"
              type="password"
              placeholder="{{'SIGNUP.PASSWORD_PLACEHOLDER' | translate}}"
              formControlName="password">
          <small class="form-control-feedback"
                *ngIf="(!password.pristine || password.touched) && password.errors">
                <div *ngIf="password.errors.required">{{'SIGNUP.PASSWORD_REQUIRED' | translate}}</div>
                <div *ngIf="password.errors.pattern">{{'SIGNUP.PASSWORD_NOT_VALID' | translate}}</div>
          </small>
        </div><!-- end Password -->
        <!-- ConfirmPassword -->
        <div class="form-group"
            [ngClass]="{
              'has-danger': !confirmPassword.valid && (confirmPassword.dirty || confirmPassword.touched),
              'has-success': confirmPassword.valid && (confirmPassword.dirty || confirmPassword.touched)
            }">
          <input id="confirmPassword"
                class="form-control"
                [ngClass]="{
                  'form-control-danger': confirmPassword.invalid,
                  'form-control-success': confirmPassword.valid
                }"
                type="password"
                placeholder="{{'SIGNUP.CONFIRM_PASS_PLACEHOLDER' | translate}}"
                formControlName="confirmPassword">
          <small class="form-control-feedback"
                *ngIf="(!confirmPassword.pristine || confirmPassword.touched) && confirmPassword.errors">
                <div *ngIf="confirmPassword.errors.required">{{'SIGNUP.PASSWORD_REQUIRED' | translate}}</div>
                <div *ngIf="confirmPassword.errors.passwordsNotMatch">{{'SIGNUP.PASSWORD_NOT_MATCHED' | translate}}</div>
          </small>
        </div><!-- end ConfirmPassword -->
        <button class="btn btn-outline-success pull-right"
                type="submit"
                [disabled]="!signupForm.valid">{{'SIGNUP.SIGNUP_BTN' | translate}}</button>
      </form>
    </div>
  </div>
  <div class="row justify-content-center">
    <div class="col col-sm-4">
      <span>{{'SIGNUP.HAVE_ACCOUNT' | translate}},</span>
      <button class="btn btn-link"
              type="button"
              [routerLink]="['/enter/login']">{{'LOGIN.SIGNIN' | translate}}</button>
    </div>
  </div>
</div>
<div *ngIf="message?.error === 'success'">
  <div class="row justify-content-center">
    <div class="col col-sm-8">
      <ch-message-alert [message]="message"></ch-message-alert>
      <div>{{'SIGNUP.AFTER_EMAIL_CONFIRM_EMAIL' | translate}}</div>
    </div>
  </div>
</div>
